package io.tswf.minecraft.blockventure.core.api.network.packet

import net.minecraft.server.network.ServerPlayerEntity
import net.minecraft.server.world.ServerWorld

interface IPlayNetworkPacket {
    void readFromBytes(DataInputStream data)
    void writeToBytes(DataOutputStream data)

    default void handleOnClient() { }
    default void handleOnServer(ServerWorld world, ServerPlayerEntity sender) {  }
}